class ImportHistory < ApplicationRecord
  belongs_to :conference

  enum :status, started: 0, completed: 1, failed: 2

  def duration
    return nil unless started_at
    (completed_at || Time.current) - started_at
  end
end
